com.h3c.sdn.hostManager

## Class HostManagerFilter

- java.lang.Object
- - com.h3c.sdn.BaseFilter
  - - com.h3c.sdn.hostManager.HostManagerFilter

-     public class HostManagerFilter
      extends BaseFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostManagerFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EqualityCondition<String>` | `getDpidCondition()`
    `EqualityCondition<String>` | `getIpCondition()`
    `EqualityCondition<String>` | `getMacCondition()`
    `EqualityCondition<String>` | `getPortCondition()`
    `EqualityCondition<Boolean>` | `getStateCondition()`
    `EqualityCondition<String>` | `getVlanCondition()`
    `void` | `setDpidCondition(String dpidCondition)`
    `void` | `setIpCondition(String ipCondition)`
    `void` | `setMacCondition(String macCondition)`
    `void` | `setPortCondition(String portCondition)`
    `void` | `setStateCondition(Boolean stateCondition)`
    `void` | `setVlanCondition(String vlanCondition)`

    - ### Methods inherited from class com.h3c.sdn.BaseFilter

      `equals, getSysIdCondition, getTimestampCondition, hashCode, setSysIdCondition, setSysIdCondition, setTimestampCondition, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HostManagerFilter

          public HostManagerFilter()

  - ### Method Detail

    - #### getDpidCondition

          public EqualityCondition<String> getDpidCondition()

    - #### setDpidCondition

          public void setDpidCondition(String dpidCondition)

    - #### getPortCondition

          public EqualityCondition<String> getPortCondition()

    - #### setPortCondition

          public void setPortCondition(String portCondition)

    - #### getMacCondition

          public EqualityCondition<String> getMacCondition()

    - #### setMacCondition

          public void setMacCondition(String macCondition)

    - #### getVlanCondition

          public EqualityCondition<String> getVlanCondition()

    - #### setVlanCondition

          public void setVlanCondition(String vlanCondition)

    - #### getIpCondition

          public EqualityCondition<String> getIpCondition()

    - #### setIpCondition

          public void setIpCondition(String ipCondition)

    - #### getStateCondition

          public EqualityCondition<Boolean> getStateCondition()

    - #### setStateCondition

          public void setStateCondition(Boolean stateCondition)

Copyright © 2014. All Rights Reserved.